SDL_CreateSurface(3)

NAME
SDL_CreateSurface - Allocate a new RGB surface with a specific pixel format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface* SDL_CreateSurface(int width, int height, SDL_PixelFormatEnum format);

FUNCTION PARAMETERS

width
    the width of the surface

height
    the height of the surface

format
    the SDL_PixelFormatEnum
     for the new surface's pixel format.

RETURN VALUE
Returns the new SDL_Surface
 structure that is created or NULL if it fails; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CreateSurfaceFrom(3), SDL_DestroySurface(3)